# RE14 - List of reasons with type: messaging (deprecated)

Deprecated endpointThis API is going to be removed in future update, use RE02 with parameter reason_type='MESSAGING'
DescriptionNote: Result returns only reasons where the user's role have the right Note: Reasons are sorted by sort index, set in the back-office
Call FrequencyRecommended usage: Once on message creation page viewMaximum usage: Once on message creation page view

Endpoint: GET /api/reasons/messaging
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `reasons` (array, required)
    List of reasons

  - `reasons.code` (string, required)
    Reason code

  - `reasons.label` (string, required)
    Reason label

  - `total_count` (integer, required)
    Total count of elements returned by the query (No pagination)

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

